
import java.sql.*;

public class JdbcBatch {

    public static void main(String args[]) {

        Connection con = null;
        Statement st = null;
        ResultSet rs = null;

        String url = "jdbc:mysql://localhost:3306/";
        String db = "komal";
        String driver = "com.mysql.jdbc.Driver";
        String user = "root";
        String pass = "root";

        try {
            Class.forName(driver);
            con = DriverManager.getConnection(url + db, user, pass);
            //con.setAutoCommit(false);// Disables auto-commit.

            st = con.createStatement();

            st.addBatch("INSERT INTO person " +
                    "VALUES('1','name2')");
            st.addBatch("INSERT INTO person " +
                    "VALUES('2','name3')");
            st.addBatch("INSERT INTO person " +
                    "VALUES('3','name4')");
            
             st.executeBatch();

            String sql = "select * from person";
            rs = st.executeQuery(sql);

            System.out.println("No  \tName");
            while (rs.next()) {
                System.out.print(rs.getString(1) + "   \t");
                System.out.println(rs.getString(2));
            }
            rs.close();
            st.close();
            con.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}